libzypp 17.37.10

ZYppFactory.cc File Reference
`#include <sys/file.h>`
`#include <iostream>`
`#include <fstream>`
`#include <signal.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/LogControl.h>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/base/IOStream.h>`
`#include <zypp/base/Functional.h>`
`#include <zypp/base/Backtrace.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/zypp_detail/ZYppImpl.h>`
`#include <boost/interprocess/sync/file_lock.hpp>`
`#include <boost/interprocess/sync/scoped_lock.hpp>`
`#include <boost/interprocess/sync/sharable_lock.hpp>`
`#include <utility>`

Go to the source code of this file.

## Classes
class | zypp::sighandler::SigBacktraceHandler< SIG >
| Signal handler logging a stack trace. More...
class | zypp::ZYppGlobalLock
| Our broken global lock. More...

## Namespaces
namespace | zyppintern
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sighandler
namespace | zypp::env
| Namespace intended to collect all environment variables we use.
namespace | zypp::zypp_readonly_hack

## Functions
void | zyppintern::repoVariablesReset ()
Pathname | zypp::env::ZYPP_LOCKFILE_ROOT ()
| Hack to circumvent the currently poor –root support.
void | zypp::zypp_readonly_hack::IWantIt () ZYPP_DEPRECATED
bool | zypp::zypp_readonly_hack::IGotIt ()
std::ostream & | zypp::operator<< (std::ostream &str, const ZYppFactory &obj)

## Variables
template<int SIG>
::sighandler_t | zypp::sighandler::SigBacktraceHandler< SIG >::lastSigHandler { ::signal( SIG, SigBacktraceHandler::backtraceHandler ) }
static bool | zypp::zypp_readonly_hack::active = getenv("ZYPP_READONLY_HACK")